[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringList.Duplicates

Describes the behaviour of a sorted list with respect to duplicate strings.

## Declaration

Source position: classesh.inc line 761

`public property TStringList.Duplicates : TDuplicates read FDuplicates write FDuplicates;`

## Description

Duplicates describes what to do in case a duplicate value is added to the list:

dupIgnore | Duplicate values will not be be added to the list, but no error will be triggered.
dupError | If an attempt is made to add a duplicate value to the list, an EStringListError exception is raised.
dupAccept | Duplicate values can be added to the list.

If the stringlist is not sorted, the Duplicates setting is ignored.

Documentation generated on: Feb 26 2014